-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local result = cjson.json_object_new_array()
local size = #Input - 1
for i, v in ipairs(Input[1]) do
    if #v ~= size then
        goto continue
    end
    result[i] = cjson.json_object_new_object()
    for j=1, size do
        if type(v[j]) == 'string' then
            result[i][Input[j+1]] = v[j]
        else
            result[i][Input[j+1]] = cjson.json_object_copy(v[j])
        end
    end
    ::continue::
end
return result